Subject: Re: IFLA_INET6_[ICMP6]STATS

From: Raghavendra K T <[email-masked]>
Date: Thu, 10 Sep 2015 20:49:43 +0530

On 09/10/2015 03:13 AM, David Miller wrote:
> From: Sowmini Varadhan <[email-masked]>
> Date: Wed, 9 Sep 2015 17:34:44 -0400
>
>> So the question is- who uses IFLA_INET6_STATS/IFLA_INET6_ICMP6STATS?
>> Is this intended for some ND/ripngd etc daemon?  Doesnt seem to
>> be documented in rtnetlink(7), and couldnt find any users in glibc,
>> and google did not find any usage.
>
> It doesn't really matter who uses it, it's there forever and we
> therefore can't remove it.
>
> But what we could do is add a flag in the netlink request which
> elides the stats.  GLIBC et al. could then start setting the flag.
>

+1 for this. Had similar thought. Wanted to use a flag at the higher
  level function to avoid snmp stat walk through during i/f creation.

But above idea is better.

Other idea I had was to defer the update using work queue/completion
etc..